/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */



/**
 * Le Framework de jeux JavaScript Phaser
 *
Phaser v2.0.5 - http://phaser.io - @photonstorm - (c) 2014 Photon Storm Ltd. 
https://github.com/photonstorm/phaser
http://examples.phaser.io/
 */



/**
 * Classe interface perdu
 * 
 * @param  {[type]} game [description]
 * @return {[type]}      [description]
 */
var gameOver = function(game){}


/**
 * Les méthodes
 * 
 * @type {Object}
 */
gameOver.prototype = {

	/**
	 * Initialisation de l'interface
	 * 
	 * @param  {[type]} score [description]
	 * @return {[type]}       [description]
	 */
	init: function(score)
	{
		var style = {
	        font:"33px Arial",
	        fill:"#fff"
	    };

		var sTxtInfo = game.add.text(10, 10, "Votre Score : "+score, style);
		
		console.log("%c Votre Score : "+score, "color:white; background:blue");
	},


	/**
	 * Création de la scène du jeu,
	 * mise en place des graphismes...
	 * 
	 * @return {[type]} [description]
	 */
  	create: function()
  	{
  		// affiche l'image Game Over
  		var gameOverTitle = this.game.add.sprite(160, 160, "gameover");
		gameOverTitle.anchor.setTo(0.5,0.5);

		// création d'un bouton
		var playButton = this.game.add.button(160, 320, "play", this.playTheGame, this);
		playButton.anchor.setTo(0.5,0.5);
	},


	playTheGame: function()
	{
		// lance l'écran suivant
		this.game.state.start("PlayGame");
	}
}